#pragma once

#include "buffer.hpp"
#include "Types.hpp"

namespace TSE::OpenGL
{
    class IndexBuffer : public buffer
    {
    public:
        IndexBuffer(ushort* data, ushort count);
        inline IndexBuffer() = default;
        void WriteData(ushort* data, ushort count);
        void Bind() override;
        void Unbind() override;
    };
} // namespace TSE::GLFW
